WordPress.org

Forums

Notifly
Error Message after Updarage (12 posts)

  1. shannonodom
    Member
    Posted 4 years ago #

    I just upgraded notifly and when trying to re-activate the plugin I get Fatal error: Cannot redeclare wp_notify_postauthor() (previously declared in /home/smodom/public_html/mainerealestatepros.com/wp-includes/pluggable.php:1003) in /home/smodom/public_html/mainerealestatepros.com/wp-content/plugins/notifly/notifly.php on line 629

    http://wordpress.org/extend/plugins/notifly/

  2. KaelinDesign
    Member
    Posted 4 years ago #

    This is my problem as well! Looks like they updated 4 days ago, but didn't get all the bugs worked out.

    Think they'll fix it soon?

  3. shannonodom
    Member
    Posted 4 years ago #

    3 days later and no response? Maybe I will look for the old version and downgrade until a fix is released.

  4. KaelinDesign
    Member
    Posted 4 years ago #

    A little outrageous, I agree- especially since the authors are some of the forum moderators. I actually gave up. I need my posts to go to my subscribers, and after three hours of google searching, got subscribe2 to work for me.

  5. shannonodom
    Member
    Posted 4 years ago #

    I am the only one that needs email notification when someone submits posts. This way I can go out and market that post instantly and I don't have to keep checking the site for new posts. Maybe I will look for something different.

  6. Gisha James
    Member
    Posted 4 years ago #

    I don't think it is a problem of upgrading.

    My guess is even if you downgrade the same error comes..

    http://core.trac.wordpress.org/ticket/1715

  7. shannonodom
    Member
    Posted 4 years ago #

    Yes. I even manually uploaded the folder to the plugin directory. It was working fine prior to the upgrade.

  8. Gisha James
    Member
    Posted 4 years ago #

    I hope to post the fix for this today / tomorrow.

    I will post the link here.

  9. Gisha James
    Member
    Posted 4 years ago #

    Please replace the contents of notifly.php in the plugin folder with the file here:

    http://worth2read.org/blog/notifly.txt . You can copy and replace.

    Please post here whether it solves the issue.

  10. Gisha James
    Member
    Posted 4 years ago #

    All plugins overriding pluggable functions should be wrapping the functions in if(function_exists(...))

    wp_notify_postauthor and wp_notify_postauthor in http://wordpress.org/extend/plugins/notifly/ are pluggable functions in the plugin file.

    wrapping them in if(function_exists(...)) worked for me.

  11. shannonodom
    Member
    Posted 4 years ago #

    It worked. Plugin is now activated.

    Thank you.

  12. John James Jacoby
    BuddyPress/bbPress Lead
    Plugin Author

    Posted 4 years ago #

    I know this is a month old, but this issue should be resolved in the current and future versions.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Notifly
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags